Ruby Tk와 RubyScript2Exe 프로그래밍

ruby 1.8.6에는 Tk/Tcl이 번들로 포함돼 있지 않고 Tk 바인딩만 포함돼 있어서 따로 받아야 하는데 첨엔 이것 때문에 헷갈렸네요. ActiveState에서 8.4 버전을 받아야 합니다. 8.5는 호환되지 않네요.

루비 프로그램을 실행 파일로 만들어 주는 RubyScript2Exe도 재밌는데 Tk를 포함해서 실행 파일로 만들면 간단한 프로그램도 3 메가를 넘어버리네요. 그래도 쓸 만할 듯 합니다.

사용법은 간단해서

ruby rubyscript2exe.rb hello-tk.rb --rubyscript2exe-tk

이런 식인데 뒤의 옵션은 Tk를 쓰지 않는다면 필요 없습니다.







덧글

댓글 입력 영역